# Trixie

**Trixie** is a custom registration page for [Matrix](https://matrix.org) using shared secret registration.  
Its goal is to help communities reduce spam signups.

## Features

- Simple, clean UI
- Basic spam prevention

## Planned

- Vetting process
- Manual approval

## Deployment

Trixie can be run via Docker or as a standalone binary from the releases.

### Docker

Use the container `gitea.elara.ws/elara6331/trixie` and forward port 2264.

### Linux packages

Download builds from the [Releases](https://gitea.elara.ws/Elara6331/trixie/releases) page.

## Environment Variables

These environment variables must be set for trixie to start:

| Variable       | Description                                |
|----------------|--------------------------------------------|
| `INSTANCE_URL` | Base URL of your Matrix server             |
| `SHARED_SECRET`| Shared secret for account creation         |
| `LISTEN_ADDR`  | The address to listen on (default `:2264`) |
